Post Reply 
 
Thread Rating:
  • 0 Votes - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
No PPSSPP v1.9 for macOS ??
03-25-2020, 03:06 AM
Post: #12
RE: No PPSSPP v1.9 for macOS ??
Maybe that's possible. The checks to make sure it builds I talked about are run against macOS 10.12 and Xcode 8.3.3, so if we made it require a newer version (possibly by making it require a newer Xcode), we might not realize.

We use Travis CI for this checking, and it doesn't even have macOS 10.9.x available. We're already using one of the older versions of macOS it supports (macOS 10.13 is the default.)

I'd be curious what errors were seen though. If it's just that you can't install a new enough Xcode to compile c++11, then it should be possible to install (maybe via brew?) a newer clang and compile it without Xcode, perhaps?

Either way, it should still be possible to compile on a newer macOS version, but targeting macOS 10.9.5 so it can run there.

-[Unknown]
Find all posts by this user
Quote this message in a reply
Post Reply 


Messages In This Thread
No PPSSPP v1.9 for macOS ?? - azoreseuropa - 09-27-2019, 08:02 AM
RE: No PPSSPP v1.9 for macOS ?? - LunaMoo - 03-09-2020, 02:59 AM
RE: No PPSSPP v1.9 for macOS ?? - LunaMoo - 03-13-2020, 07:31 AM
RE: No PPSSPP v1.9 for macOS ?? - [Unknown] - 03-25-2020 03:06 AM
RE: No PPSSPP v1.9 for macOS ?? - LunaMoo - 04-02-2020, 09:14 AM
RE: No PPSSPP v1.9 for macOS ?? - lynnpps - 07-30-2020, 08:37 PM
RE: No PPSSPP v1.9 for macOS ?? - Items - 10-27-2020, 04:32 AM

Forum Jump: